Bug 1637008 - [download] cannot download debugsource (sub)package
Summary: [download] cannot download debugsource (sub)package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-08 12:55 UTC by Christian Stadelmann
Modified: 2019-11-12 14:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-12 14:48:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2018-10-08 12:55:28 UTC
Description of problem:
It seems like the "download" plugin needs to be adopted for the debuginfo/debugsource split. It has been introduced in Fedora 27 [1]

Version-Release number of selected component (if applicable):
dnf-plugins-core-3.0.4-1.fc29.noarch

How reproducible:
always

Steps to Reproduce:
Try to download the debugsource package by running either
1. $ dnf download --debuginfo nspr-debugsource
or
2. $ dnf download --debugsource nspr-debugsource

Actual results:
The first command downloads the debuginfo-file (containing no debug source) although I specifically requested otherwise.
The second command fails with this error message:
> dnf download: error: unrecognized arguments: --debugsource

Expected results:
Download debugsource package.

Additional info:
[1] https://fedoraproject.org/wiki/Changes/SubpackageAndSourceDebuginfo

Comment 2 Ben Cotton 2019-10-31 18:45:59 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 amatej 2019-11-12 14:48:08 UTC
I am closing this as NEXTRELEASE because the patch requires newer version of dnf than is available in f29.
It is fixed in dnf-plugins-core-4.0.11-1.fc30 (>= fedora 30)

If this is really needed in f29 please let us know we could also back-port the necessary changes to dnf along with the patch to dnf-plugins-core.


Note You need to log in before you can comment on or make changes to this bug.